package com.oguerreiro.resilient.service.dto;

import static org.assertj.core.api.Assertions.assertThat;

import com.oguerreiro.resilient.web.rest.TestUtil;
import org.junit.jupiter.api.Test;

class InputDataUploadLogDTOTest {

    @Test
    void dtoEqualsVerifier() throws Exception {
        TestUtil.equalsVerifier(InputDataUploadLogDTO.class);
        InputDataUploadLogDTO inputDataUploadLogDTO1 = new InputDataUploadLogDTO();
        inputDataUploadLogDTO1.setId(1L);
        InputDataUploadLogDTO inputDataUploadLogDTO2 = new InputDataUploadLogDTO();
        assertThat(inputDataUploadLogDTO1).isNotEqualTo(inputDataUploadLogDTO2);
        inputDataUploadLogDTO2.setId(inputDataUploadLogDTO1.getId());
        assertThat(inputDataUploadLogDTO1).isEqualTo(inputDataUploadLogDTO2);
        inputDataUploadLogDTO2.setId(2L);
        assertThat(inputDataUploadLogDTO1).isNotEqualTo(inputDataUploadLogDTO2);
        inputDataUploadLogDTO1.setId(null);
        assertThat(inputDataUploadLogDTO1).isNotEqualTo(inputDataUploadLogDTO2);
    }
}
